[security bulletin] SSRT4741 rev.0 DCE for HP Tru64 UNIX Potential RPC Buffer Overrun Attack

2004-06-26T00:00:00
ID SECURITYVULNS:DOC:6404
Type securityvulns
Reporter Securityvulns
Modified 2004-06-26T00:00:00

Description

-----BEGIN PGP SIGNED MESSAGE----- Hash: SHA1

HP SECURITY BULLETIN

HPSBTU01051 REVISION: 0

SSRT4741 rev.0 DCE for HP Tru64 UNIX Potential RPC Buffer Overrun Attack


NOTICE: There are no restrictions for distribution of this Bulletin provided that it remains complete and intact. The information in this Security bulletin should be acted upon as soon as possible.

INITIAL RELEASE: 21 June 2004

POTENTIAL SECURITY IMPACT: Buffer overflow denial of service (DoS)

SOURCE: HEWLETT-PACKARD COMPANY HP Software Security Response Team

REFERENCES: VU#259796, VU#568148, VU#326746, VU#377804

VULNERABILITY SUMMARY: A problem has been detected where an exploit program sends invalid packet data which causes a buffer overflow in DCE servers and could create a denial of service.

SUPPORTED SOFTWARE VERSIONS*: ONLY impacted versions are listed. All versions of DCE/DFS for Tru64 UNIX are vulnerable v4.1.4 (ifspec), v4.1.5, v4.2 and v4.3

BACKGROUND: A problem has been detected where an exploit program sends invalid packet data which causes a buffer overflow in DCE servers. After numerous attacks, the server will not respond to normal DCE requests. This buffer overflow may also affect DCE clients: If DCE clients have any open associations to a server, the overrun attack could hit that association and also cause it to overflow.

As of December 31, 2003, remedial support for DCE has been transferred to Entegrity Solutions for all HP Tru64 DCE/DFS products. See the Entegrity Solutions support http://support.entegrity.com for details.

For a listing of all HP Tru64 UNIX security patch kits please visit the following web site: http://h30097.www3.hp.com/unix/security-download.html

RESOLUTION: Visit the Entegrity Solutions support site for details on obtaining the security patches: http://support.entegrity.com

NOTE: If you are using a version of HP Tru64 DCE/DFS not mentioned, contact Entegrity Technical Support. support@entegrity.com

o Follow the instructions to download the software.

o Install the software (follow the instructions in the Installation and Configuration Guide included in the documentation download and posted on the online Documentation Library).

SUPPORT: For further information, contact HP Services support channel.

SUBSCRIBE: To initiate a subscription to receive future HP Security Bulletins via Email: http://h30046.www3.hp.com/driverAlertProfile.php?regioncode=NA&lang code=USENG&jumpid=in_SC-GEN__driverITRC&topiccode=ITRC On the web page: Driver and Support Alerts/Notifications Sign-up: Product Selection Under Step1: your products 1. Select product category: - a minimum of servers must be selected. 2. Select product family or search: - a minimum of one product must be selected. 3. Add a product: - a minimum of one product must be added. In Step 2: your operating system(s) - check ALL operating systems for which alerts are required. 4. Complete the form and Save.

To update an existing subscription: http://h30046.www3.hp.com/subSignIn.php Log in on the web page Subscriber's choice for Business: sign-in. On the Web page: Subscriber's Choice: your profile summary - use Edit Profile to update appropriate sections.

Note: In addition to the individual alerts/notifications for the selected operating systems/products, subscribers will automatically receive one copy of alerts for non-operating system categories (i.e., a subscriber who signs up for all six operating system alerts will only receive one copy of all the non-operating system alerts).

To review previously published Security Bulletins visit: http://itrc.hp.com/cki/bin/doc.pl/screen=ckiSecurityBulletin

REPORT: To report a potential security vulnerability with any HP supported product, send Email to: security-alert@hp.com. It is strongly recommended that security related information being communicated to HP be encrypted using PGP, especially exploit information. To obtain the security-alert PGP key please send an e-mail message to security-alert@hp.com with the Subject of 'get key' (no quotes).

System management and security procedures must be reviewed frequently to maintain system integrity. HP is continually reviewing and enhancing the security features of software products to provide customers with current secure solutions.

"HP is broadly distributing this Security Bulletin in order to bring to the attention of users of the affected HP products the important security information contained in this Bulletin. HP recommends that all users determine the applicability of this information to their individual situations and take appropriate action. HP does not warrant that this information is necessarily accurate or complete for all user situations and, consequently, HP will not be responsible for any damages resulting from user's use or disregard of the information provided in this Bulletin. To the extent permitted by law, HP disclaims all warranties, either express or implied, including the warranties of merchantability and fitness for a particular purpose, title and non-infringement."

(c) Copyright 2004 Hewlett-Packard Development Company, L.P. Hewlett-Packard Company shall not be liable for technical or editorial errors or omissions contained herein. The information provided is provided "as is" without warranty of any kind. To the extent permitted by law, neither HP or its affiliates, subcontractors or suppliers will be liable for incidental, special or consequential damages including downtime cost; lost profits; damages relating to the procurement of substitute products or services; or damages for loss of data, or software restoration. The information in this document is subject to change without notice. Hewlett-Packard Company and the names of Hewlett-Packard products referenced herein are trademarks of Hewlett-Packard Company in the United States and other countries. Other product and company names mentioned herein may be trademarks of their respective owners.

-----BEGIN PGP SIGNATURE----- Version: PGP 8.0.2

iQA/AwUBQNro/uAfOvwtKn1ZEQJdywCgrwhxv+qvyUGopUEYCtz44ycy2cEAnjn7 08fGhJf54VZB8jImZOJCLW1l =4Kpj -----END PGP SIGNATURE-----